function::thread_indent_depth
Prev | Chapter 29. Utility functions for using ansi control chars in logs | Next

## Name

function::thread_indent_depth — returns the nested-depth of the current task

## Synopsis

        thread_indent_depth:long(delta:long)

## Arguments

`delta`

  the amount of depth added/removed for each call

## Description

This function returns an integer equal to the nested function-call depth starting from the outermost initial level. This function is useful for saving space (consumed by whitespace) in traces with long nested function calls. Use this function in a similar fashion to `thread_indent`, i.e., in call-probe, use thread_indent_depth(1) and in return-probe, use thread_indent_depth(-1)

Prev | Up | Next
function::thread_indent | Home | Chapter 30. SystemTap Translator Tapset